package com.zcloud.mapper.datasource.inspection;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：安全环保检查人员
 * 作者：luoxiaobao
 * 时间：2022-06-08
 * 官网：www.zcloudchina.com
 */
public interface SafetyEnvironmentalInspectorMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	void deleteAll(PageData pd);

	/**列表(根据所选ID获取数据)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> findByIds(PageData pd);

	/**
     * 列表(查询当前检查中其他检查人人未核实的集合)
	 * @param pd
     * @return
     */
    List<PageData> listOtherNotVerify(PageData pd);

	/**删除（根据检查ID）
	 * @param pd
	 * @throws Exception
	 */
	void deleteByInspection(PageData pd);

    PageData findByInspectionId(PageData pd);

	public PageData confirmCount(PageData pd);

    PageData countHome(PageData pd);
}

